
Name: kmplot
Summary: A mathematical function plotter
Version: 17.12.3
Release: %mkrel 1
Group: Graphical desktop/KDE5
License: GPLv2 and GFDL
URL: http://www.kde.org/applications/education/kmplot/
Source: http://download.kde.org/stable/%version/src/%name-%version.tar.xz

BuildRequires: kf5-macros
BuildRequires: libxml2-utils
BuildRequires: docbook-dtds
BuildRequires: docbook-style-xsl
BuildRequires: cmake 
BuildRequires: lib64kconfig-devel 
BuildRequires: lib64kcoreaddons-devel 
BuildRequires: lib64kf5auth-devel 
BuildRequires: lib64kf5completion-devel 
BuildRequires: lib64kf5configwidgets-devel 
BuildRequires: lib64kf5crash-devel 
BuildRequires: lib64kf5dbusaddons-devel 
BuildRequires: lib64kf5i18n-devel 
BuildRequires: lib64kf5iconthemes-devel 
BuildRequires: lib64kf5kdelibs4support-devel 
BuildRequires: lib64kf5parts-devel 
BuildRequires: lib64kf5service-devel 
BuildRequires: lib64kf5sonnetui-devel 
BuildRequires: lib64kf5textwidgets-devel 
BuildRequires: lib64kf5widgetsaddons-devel 
BuildRequires: lib64kf5xmlgui-devel 
BuildRequires: lib64kio-devel 
BuildRequires: lib64qt5core-devel 
BuildRequires: lib64qt5dbus-devel 
BuildRequires: lib64qt5gui-devel 
BuildRequires: lib64qt5printsupport-devel 
BuildRequires: lib64qt5svg-devel 
BuildRequires: lib64qt5widgets-devel 
BuildRequires: lib64qt5xml-devel 
BuildRequires: qtbase5-common-devel 


%description
KmPlot is a mathematical function plotter for the KDE-Desktop.

It has a built in powerful parser. You can plot different functions
simultaneously and combine their function terms to build new functions.
KmPlot supports functions with parameters and functions in polar
coordinates. Several grid modes are possible. Plots may be printed with
high precision in correct scale.

%files
%doc COPYING COPYING.DOC TODO
%_kf5_bindir/kmplot
%_kf5_iconsdir/*/*/apps/kmplot.*
%_kf5_datadir/applications/*.desktop
%_kf5_datadir/config.kcfg/kmplot.kcfg
%_kf5_services/kmplot_part.desktop
%_datadir/dbus-1/interfaces/org.kde.kmplot.KmPlot.xml
%_datadir/dbus-1/interfaces/org.kde.kmplot.MainDlg.xml
%_datadir/dbus-1/interfaces/org.kde.kmplot.Parser.xml
%_datadir/dbus-1/interfaces/org.kde.kmplot.View.xml
%_qt5_plugindir/kmplotpart.so
%_kf5_datadir/kxmlgui5/kmplot
%_kf5_datadir/metainfo
%_kf5_datadir/locale
%_kf5_mandir
#------------------------------------------------------------------------------

%package handbook
Summary: %name handbook
Requires: %name
BuildArch: noarch
Group: Documentation

%description handbook
This package provides %name handbook and mandir.

%files handbook
%doc %_kf5_docdir/HTML


#------------------------------------------------------------------------------

%prep
%setup -q
%apply_patches


%build
export LD=/usr/bin/ld.gold
%cmake_kf5 
%make

%install
rm -rf %buildroot
%makeinstall_std -C build



%changelog
* Mon Mar 12 2018 bb2 <bb2> - 17.12.3-1pclos2018
- new version

* Mon Feb 12 2018 bb2 <bb2> - 17.12.2-1pclos2018
- new version

* Fri Jan 12 2018 bb2 <bb2> - 17.12.1-1pclos2018
- new version

* Fri Dec 15 2017 bb2 <bb2> - 17.12.0-1pclos2017
- new version

* Thu Nov 09 2017 bb2 <bb2> - 17.08.3-1pclos2017
- new version

* Thu Oct 12 2017 bb2 <bb2> - 17.08.2-1pclos2017
- new version

* Sat Oct 07 2017 bb2 <bb2> - 17.08.1-1pclos2017
- new version

* Fri Aug 18 2017 bb2 <bb2> - 17.08.0-1pclos2017
- new version

* Fri Jul 14 2017 bb2 <bb2> - 17.04.3-1pclos2017
- new version

* Thu Jun 08 2017 bb2 <bb2> - 17.04.2-1pclos2017
- new version

* Thu May 11 2017 bb2 <bb2> - 17.04.1-1pclos2017
- new version

* Fri Apr 21 2017 bb2 <bb2> - 17.04.0-1pclos2017
- new version

* Fri Mar 10 2017 bb2 <bb2> - 16.12.3-1pclos2017
- new version

* Fri Feb 10 2017 bb <bb> - 16.12.2-1pclos2017
- new version

* Thu Jan 12 2017 bb <bb> - 16.12.1-1pclos2017
- new version

* Tue Dec 27 2016 bb <bb> - 16.12.0-1pclos2017
- new version

